> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Kit Product

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml put /wms/kits/{kit_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/kits/{kit_id}:
    put:
      tags:
        - wms
        - Kits
      summary: Update a Kit Product
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: put_wms_update_kit
      parameters:
        - in: path
          name: kit_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatewmsKitInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsUpdateKitResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    UpdatewmsKitInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/UpdateKitSchema--Base__Schema--'
        - $ref: '#/components/schemas/UpdatewmsKit--Cin7__Core__-_Dear__Systems_---'
        - $ref: '#/components/schemas/UpdatewmsKit--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/UpdatewmsKit--Infoplus--'
        - $ref: '#/components/schemas/UpdatewmsKit--MasonHub--'
        - $ref: '#/components/schemas/UpdatewmsKit--Ongoing__WMS--'
        - $ref: '#/components/schemas/UpdatewmsKit--WMS__Sandbox--'
        - $ref: '#/components/schemas/UpdatewmsKit--ShipHero--'
        - $ref: '#/components/schemas/UpdatewmsKit--ShipStream--'
        - $ref: '#/components/schemas/UpdatewmsKit--Whiplash__-_Ryder_---'
      title: UpdatewmsKitInputSchema
    wmsUpdateKitResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsKitApiItemSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsUpdateKitResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    UpdateKitSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitUpdateInventoryItem'
      required:
        - inventory_items
        - sku
      additionalProperties: false
      title: Base Schema
    UpdatewmsKit--Cin7__Core__-_Dear__Systems_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        costing_method:
          type: string
          enum:
            - FIFO
            - Special - Batch
            - Special - Serial Number
            - FIFO - Serial Number
            - FIFO - Batch
            - FEFO - Batch
            - FEFO - Serial Number
          description: Costing method for the product.
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitWriteInventoryItemdear-systems'
      required:
        - inventory_items
      additionalProperties: false
      title: Cin7 Core (Dear Systems)
    UpdatewmsKit--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitWriteInventoryItemextensiv-3pl-central'
      required:
        - inventory_items
        - warehouse_customer_id
      additionalProperties: false
      title: Extensiv (3PL Central)
    UpdatewmsKit--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type: string
          description: ID of the warehouse customer that owns this product
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        touches:
          type: integer
          description: The number of assembly points there are to build a single kit
          example: 0
        is_kit_on_demand:
          type: string
          enum:
            - 'Yes'
            - 'No'
          description: >-
            Whether this kit is built on demand (as in built at the point of
            fulfillment)
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitUpdateInventoryIteminfoplus'
      required:
        - inventory_items
      additionalProperties: false
      title: Infoplus
    UpdatewmsKit--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsmasonhub'
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        description:
          type: string
          description: Description of the product.
        customer_bar_code:
          type: string
          description: Customer provided bar code for this sku.
        brand_name:
          type: string
          description: Brand name for this sku and product.
        category:
          type: string
          description: Product category for this sku.
        sub_category:
          type: string
          description: Product sub category for this sku.
        vendor_brand_code:
          type: string
          description: Vendor provided brand code for identifying this sku.
        customer_brand_code:
          type: string
          description: >-
            Customer provided brand code for identifying this sku. Used on
            packing lists.
        vendor_style:
          type: string
          description: Vendor style code for item identification.
      required:
        - brand_name
        - category
        - customer_bar_code
        - customer_brand_code
        - description
        - measurements
        - name
        - sub_category
        - vendor_brand_code
        - vendor_style
      additionalProperties: false
      title: MasonHub
    UpdatewmsKit--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitUpdateInventoryItemongoing'
      required:
        - inventory_items
      additionalProperties: false
      title: Ongoing WMS
    UpdatewmsKit--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: XS-RED-SHIRT
        name:
          type: string
          description: name
          example: XS Red Shirt
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: '012345678905'
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitCreateInventoryItemsandbox'
      additionalProperties: false
      title: WMS Sandbox
    UpdatewmsKit--ShipHero--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshiphero'
      additionalProperties: false
      title: ShipHero
    UpdatewmsKit--ShipStream--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitUpdateInventoryItemshipstream'
      required:
        - inventory_items
      additionalProperties: false
      title: ShipStream
    UpdatewmsKit--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        inventory_items:
          type: array
          description: Inventory Items that make up this kit.
          example:
            - inventory_item_id: inventory_item_id
              sku: sku
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/WmsKitWriteInventoryItemwhiplash'
      required:
        - gtin
      additionalProperties: false
      title: Whiplash (Ryder)
    WmsKitApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the product.
          example: product_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the product was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the product was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type:
            - number
            - 'null'
          description: The price of the product.
          example: 10.99
        inventory_items:
          type: array
          description: A list of inventory items associated with the product.
          example:
            - inventory_item_id: id1
              sku: sku1
              unit_quantity: 1
            - inventory_item_id: id2
              sku: sku2
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/ProductInventoryItems'
        is_kit:
          type: boolean
          description: ''
          example: true
        active:
          type: boolean
          description: Whether the product is active.
          example: true
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/ProductSupplier'
            - type: 'null'
        country_of_origin:
          type:
            - string
            - 'null'
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type:
            - string
            - 'null'
          description: The harmonized HS code of the product.
          example: '123456'
        supplier_products:
          type: array
          description: A list of supplier products associated with the product.
          example:
            - supplier_id: id1
              supplier_name: name1
              external_id: ext_id1
              unit_cost: 1
            - supplier_id: id2
              supplier_name: name2
              external_id: ext_id2
              unit_cost: 2.5
          items:
            $ref: '#/components/schemas/ProductSupplierProducts'
        categories:
          type: array
          description: A list of category names associated with the product.
          example:
            - Electronics
            - Accessories
          items:
            type: string
            description: ''
        image_urls:
          type: array
          description: A list of image URLs associated with the product.
          example:
            - https://example.com/image1.jpg
          items:
            type: string
            description: ''
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the product in the external system (WMS/Freight etc).
          example: https://example.com/product/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - categories
        - country_of_origin
        - created_date
        - external_system_url
        - gtin
        - harmonized_code
        - id
        - image_urls
        - inventory_items
        - is_kit
        - name
        - sku
        - supplier_object
        - supplier_products
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unit_price
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsKitApiItemSchema
    ProductMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurements
    WmsKitUpdateInventoryItem:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: true
      title: WmsKitUpdateInventoryItem
    WmsKitWriteInventoryItemdear-systems:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: Inventory Item ID of the kit component.
          example: inventory_item_id
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - inventory_item_id
        - unit_quantity
      additionalProperties: false
      title: WmsKitWriteInventoryItemdear-systems
    WmsKitWriteInventoryItemextensiv-3pl-central:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitWriteInventoryItemextensiv-3pl-central
    WmsKitUpdateInventoryIteminfoplus:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitUpdateInventoryIteminfoplus
    ProductMeasurementsmasonhub:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsmasonhub
    WmsKitUpdateInventoryItemongoing:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitUpdateInventoryItemongoing
    WmsKitCreateInventoryItemsandbox:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitCreateInventoryItemsandbox
    ProductMeasurementsshiphero:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshiphero
    WmsKitUpdateInventoryItemshipstream:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitUpdateInventoryItemshipstream
    WmsKitWriteInventoryItemwhiplash:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the kit component.
          example: sku
        unit_quantity:
          type: integer
          description: Quantity of the kit component.
          example: 1
      required:
        - sku
        - unit_quantity
      additionalProperties: false
      title: WmsKitWriteInventoryItemwhiplash
    ProductInventoryItems:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: inv_id
        sku:
          type:
            - string
            - 'null'
          description: ''
        unit_quantity:
          type: integer
          description: The number of units of the inventory item in the product.
          example: 0
      required:
        - inventory_item_id
        - sku
        - unit_quantity
      additionalProperties: false
      title: ProductInventoryItems
    ProductSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: ProductSupplier
    ProductSupplierProducts:
      type: object
      properties:
        supplier_id:
          type: string
          description: ID of the supplier.
          example: sup_id
        supplier_name:
          type:
            - string
            - 'null'
          description: Name of the supplier.
          example: sup_name
        external_id:
          type:
            - string
            - 'null'
          description: The external ID of the product from the supplier.
          example: ext_id
        unit_cost:
          type:
            - string
            - 'null'
          description: The cost of the product from the supplier.
          example: unit_cost
      required:
        - external_id
        - supplier_id
        - supplier_name
        - unit_cost
      additionalProperties: false
      title: ProductSupplierProducts

````